import java.io.*;
import java.util.*;

public class TestGen {
	public static void main(String[] args) {
		new TestGen().run();
	}

	BufferedReader br;
	StringTokenizer in;
	PrintWriter out;

	public String nextToken() throws IOException {
		while (in == null || !in.hasMoreTokens()) {
			in = new StringTokenizer(br.readLine());
		}
		return in.nextToken();
	}

	public int nextInt() throws IOException {
		return Integer.parseInt(nextToken());
	}

	public long nextLong() throws IOException {
		return Long.parseLong(nextToken());
	}

	public double nextDouble() throws IOException {
		return Double.parseDouble(nextToken());
	}

	int tNumber;

	Random rnd;

	void print(int n, int[][] a, boolean fl) throws IOException {
		if (tNumber < 10) {
			out = new PrintWriter("0" + tNumber);
		} else {
			out = new PrintWriter("" + tNumber);
		}
		tNumber++;
		out.println(n);
		for (int i = 0; i < n; i++) {
			for (int j = 0; j < 2 * i; j++) {
				out.print(a[i][j] + " ");
			}
			out.println(a[i][2 * i]);
		}
		if (fl) {
			out.print("counterclockwise");
		} else {
			out.print("clockwise");
		}
		out.println();
		out.close();
	}

	void genrandom(int n, boolean fl) throws IOException {
		int[][] a = new int[n][2 * n - 1];
		for (int i = 0; i < n; i++) {
			for (int j = 0; j < 2 * i + 1; j++) {
				a[i][j] = rnd.nextInt(10);
			}
		}
		print(n, a, fl);
	}

	public void solve() throws IOException {
		tNumber = 1;
		rnd = new Random(239);
		genrandom(1, false);
		for (int i = 0; i < 4; i++) {
			genrandom(rnd.nextInt(19) + 2, false);
		}
		for (int i = 0; i < 5; i++) {
			genrandom(rnd.nextInt(199) + 2, false);
		}
		genrandom(1, true);
		for (int i = 0; i < 4; i++) {
			genrandom(rnd.nextInt(19) + 2, true);
		}
		for (int i = 0; i < 5; i++) {
			genrandom(rnd.nextInt(199) + 2, true);
		}

	}

	public void run() {
		try {
			br = new BufferedReader(new InputStreamReader(System.in));
			out = new PrintWriter(System.out);

			solve();

			out.close();
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(1);
		}
	}
}